Loading...
Searching...
No Matches
casacore::MSWeatherEnums Class Reference
ms package (libcasa_ms) » MeasurementSets_module

Enums for the MeasurementSet WEATHER table. More...

`#include <MSWeatherEnums.h>`

## Public Types

enum | PredefinedColumns { UNDEFINED_COLUMN , ANTENNA_ID , INTERVAL , TIME , NUMBER_REQUIRED_COLUMNS , DEW_POINT , DEW_POINT_FLAG , H2O , H2O_FLAG , IONOS_ELECTRON , IONOS_ELECTRON_FLAG , PRESSURE , PRESSURE_FLAG , REL_HUMIDITY , REL_HUMIDITY_FLAG , TEMPERATURE , TEMPERATURE_FLAG , WIND_DIRECTION , WIND_DIRECTION_FLAG , WIND_SPEED , WIND_SPEED_FLAG , NUMBER_PREDEFINED_COLUMNS }
| The WEATHER table colums with predefined meaning. More...
enum | PredefinedKeywords { UNDEFINED_KEYWORD , NUMBER_PREDEFINED_KEYWORDS }
| Keywords with a predefined meaning. More...

## Detailed Description

Enums for the MeasurementSet WEATHER table.

### Intended use:

Public interface

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Etymology

This class contains the enums for the MeasurementSet WEATHER table

### Synopsis

This class does nothing. It is merely a container for the enumerations used by the MSWeather class. These enumerations define the standard columns, keywords.

### Example

See the documentation for MeasurementSet for examples on the use of these enumerations.

Definition at line 57 of file MSWeatherEnums.h.

## Member Enumeration Documentation

## PredefinedColumns

enum casacore::MSWeatherEnums::PredefinedColumns

The WEATHER table colums with predefined meaning.

Keys: ANTENNA_ID, TIME, INTERVAL.

Enumerator
UNDEFINED_COLUMN | "True" columns are defined. TYPE - UNIT - MEASURE
ANTENNA_ID | Antenna number Int.
INTERVAL | Interval over which data is relevant Double - s.
TIME | An MEpoch specifying the midpoint of the time for which data is relevant Double - s - EPOCH.
NUMBER_REQUIRED_COLUMNS | The number of required columns .
DEW_POINT | Dew point Float - K.
DEW_POINT_FLAG | Flag for dew point Bool.
H2O | Average column density of water-vapor Float - m.
H2O_FLAG | Flag for H2O Bool.
IONOS_ELECTRON | Average column density of electrons Float - m^-2.
IONOS_ELECTRON_FLAG | Flag for IONOS_ELECTRON Bool.
PRESSURE | Ambient atmospheric pressure Float - Pa.
PRESSURE_FLAG | Flag for pressure Bool.
REL_HUMIDITY | Ambient relative humidity Float - %.
REL_HUMIDITY_FLAG | Flag for rel humidity Bool.
TEMPERATURE | Ambient Air Temperature for an antenna Float - K.
TEMPERATURE_FLAG | Flag for temperature Bool.
WIND_DIRECTION | Average wind direction Float - rad.
WIND_DIRECTION_FLAG | Flag for wind direction Bool.
WIND_SPEED | Average wind speed Float - m/s.
WIND_SPEED_FLAG | Flag for wind speed Bool.
NUMBER_PREDEFINED_COLUMNS | Not a column, but just a final enum specifying the number of enums.

Definition at line 61 of file MSWeatherEnums.h.

## PredefinedKeywords

enum casacore::MSWeatherEnums::PredefinedKeywords

Keywords with a predefined meaning.

Enumerator
UNDEFINED_KEYWORD | "True" keywords are defined.
NUMBER_PREDEFINED_KEYWORDS | Not a keyword, but just a final enum specifying the number of enums.

Definition at line 131 of file MSWeatherEnums.h.

The documentation for this class was generated from the following file:

- ms/MeasurementSets/MSWeatherEnums.h